{% extends 'base.html' %}

{% load static %}
{% block content %}

<div class="main-story10 d-flex flex-column justify-content-center">
    <div class="row">
        <div class="column greet col-ml-6 col-mt-3">
            {% include 'navbar.html' %}
            <div class="text-aja" style="margin-left: 3%;">
                <p id="sapaan" class="main-header">Hello there!</p> <hr>
                <br>
                <p id="info" style="color: #eeeeee;">Welcome to Chica's page 😊</p>
            </div>
        </div>
        <div class="column right-side col-ml-5 mt-5" style="margin-left: 43%;">
            {% if user.is_authenticated == False %}
            <div class="login content mx-5 my-5">
                {% if messages %}
                    {% for message in messages %}
                        <p>{{message}}</p>
                    {% endfor %}
                {% endif %}
                <div class="title">
                    <h3><b>Sign in</b></h3><br>
                </div>
                <div class="login-form">
                    <form method="POST">
                        {% csrf_token %} 
                        {{ form }}
                        <div>
                            <button type="submit" name="btn-login" id="btn-logIn" class="btn btn-dark mt-4">LOGIN</button>
                        </div>
                    </form>
                </div>

                <div class="info mt-5">
                    <p>
                        Don't have an account? <a class="sign-up-in-link" href="/signup"><strong>Sign up.</strong></a>
                    </p>
                </div>
            </div>

            {% else %}
                <div class="success mt-5 ml-5">
                    <div class="greeting mt-5">
                        <h3>Welcome,</h3>
                        <h1 style="font-weight: 800px;"><span class="highlight">{{user.username}}.</span></h1>
                        <h4 style="font-weight: 800px;"><span class="highlight">{{user.profile.bio}}.</span></h4>
                        <h4 style="font-weight: 800px;"><span class="highlight">{{user.profile.img}}.</span></h4>
                    </div>
                    <div class="btn-logout">
                        <form action="/logout">
                            <input type="submit" id="btn-logOut" class="btn btn-dark" value="Log out">
                        </form>
                    </div>
                </div>
            {% endif %}

        </div>
    </div>


</div>


{% endblock content %}
